rte_flow_action_ipv6_ext_push(3)

NAME
rte_flow_action_ipv6_ext_push

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint8_t * data
size_t size
uint8_t type

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice.

RTE_FLOW_ACTION_TYPE_IPV6_EXT_PUSH

Valid flow definition for RTE_FLOW_ACTION_TYPE_IPV6_EXT_PUSH include:

•   IPV6_EXT TYPE / IPV6_EXT_HEADER_IN_TYPE / END

The data must be added as the last IPv6 extension.

Definition at line 3828 of file rte_flow.h.

Field Documentation

  uint8_t* data
IPv6 extension header data.

Definition at line 3829 of file rte_flow.h.

  size_t size
Size (in bytes) of data.

Definition at line 3830 of file rte_flow.h.

  uint8_t type
Type of IPv6 extension.

Definition at line 3831 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.